#include "pico/stdlib.h"
#include "hardware/spi.h"

#define DISPLAY_SPI spi0
#define PIN_TFT_BACKLIGHT 1
#define PIN_TFT_SCK 2
#define PIN_TFT_MOSI 3
// #define PIN_TFT_CS 5
#define PIN_TFT_DC 6
#define PIN_TFT_RESET 7
#include "display.h"

#define HEIGHT ILI9341_TFTHEIGHT
#define WIDTH ILI9341_TFTWIDTH

int main() {
	tft_init_display(100 * 1000 * 1000); // max is 62.5MHz

	int x = 0;
	int y = 0;

	u16 col = 0b1111100000000000;

	// tft_send_command(ILI9341_CASET, (u8[]){0, 16, 0, 48}, 4);
	// tft_send_command(ILI9341_PASET, (u8[]){0, 16, 0, 48}, 4);
	// u8 thing[32*32];
	// tft_send_command(ILI9341_RAMWR, thing, 32*32*2);

	while (1) {
		x = (x + 1) % WIDTH;
		if (x == 0) {
			y = (y + 1) % HEIGHT;
			if (y == 0) {
				// col = ~col;
			}
		}
		col = ~col;
		tft_fill(col);
		sleep_ms(300);
		// tft_set_pixel(x, y, col);
		// sleep_us(10);

		// gpio_put(PICO_DEFAULT_LED_PIN, x%2);
		// sleep_ms(500);
		// gpio_put(PICO_DEFAULT_LED_PIN, 0);
		// sleep_ms(500);
	}
}